
local Cone = class("Cone")
function Cone:init( world, x, y )
	self.b = lp.newBody( world, 0 , 0, "dynamic")
	self.s = lp.newCircleShape( 0, 0, 10 )
	self.f = lp.newFixture(self.b, self.s, 1)
	self.b:setPosition( x, y )
	self.b:setLinearDamping(0.6)
	self.b:resetMassData( )

	self.factor = (self.s:getRadius( )*2)/(screen.w*2)
	-- self.yFactor = (self.s:getRadius( )*2)/(screen.h*2)
end
function Cone:draw( cam )
	
	local bx,by = self.b:getPosition( )

	lg.setColor(213, 96, 2);
	lg.circle("fill", bx, by, self.s:getRadius( ), 22)

	local cw,ch = cam:toWorld(screen.w/2,screen.h/2)
	local x=(bx-cw)*self.factor;
	local y=(by-ch)*self.factor;

	lg.setColor(205,205,205);
	lg.circle("fill", math.floor( bx+(x/2) ), math.floor( by+(y/2) ), self.s:getRadius( )-3, 22)
	lg.setColor(213, 96, 2);
	lg.circle("fill", math.floor(bx+x), math.floor(by+y), self.s:getRadius( )-5, 22)

end

function Cone:kill( )
	self.b:destroy( )
end
------------------------------------------------------------
local Tree = class("Tree")
function Tree:init( world, x, y )
	self.name = "Tree";
	self.b = lp.newBody( world, 0 , 0, "static")
	self.s = lp.newCircleShape( 0, 0, 12 )
	self.f = lp.newFixture(self.b, self.s, 1)
	self.b:setPosition( x, y )
	self.b:resetMassData( )
	local iw = imgs["bottonTree"]:getWidth( )
	self.ims = iw/2
	self.factor = iw/(screen.w*2)
	-- self.yFactor = imgs["bottonTree"]:getHeight( )/(screen.h*2)
end
function Tree:draw1( cam )
	local bx,by = self.b:getPosition( )
	
	lg.setColor(0,0,0,140);

	lg.circle("fill",math.floor(bx-20),math.floor(by+5),45,16);
	lg.setColor(255,255,255);
	-- lg.draw(imgs["bottonTree"],math.floor(bx),math.floor(by),0,1,1,self.ims,self.ims);
	lg.draw(imgs["bottonTree"], bx, by,0,1,1,self.ims,self.ims);

end
function Tree:draw2( cam )
	local bx,by = self.b:getPosition( )
	local cw,ch = cam:toWorld(screen.w/2,screen.h/2)
	local x=(bx-cw)*self.factor;
	local y=(by-ch)*self.factor;

	lg.draw(imgs["middleTree"], bx+(x/2), by+(y/2), 0,1,1,self.ims,self.ims);
	-- lg.draw(imgs["middleTree"], math.floor(bx+(x/2)), math.floor(by+(y/2)), 0,1,1,self.ims,self.ims);
end
function Tree:draw3( cam )
	local bx,by = self.b:getPosition( )
	local cw,ch = cam:toWorld(screen.w/2,screen.h/2)

	lg.draw(imgs["topTree"], bx+((bx-cw)*self.factor), by+((by-ch)*self.factor), 0,1,1,self.ims,self.ims);
	-- lg.draw(imgs["topTree"], math.floor(bx+x), math.floor(by+y), 0,1,1,self.ims,self.ims);
end
function Tree:kill( )
	self.b:destroy( )
end

return {
	tree = Tree,
	cone = Cone
};